org.bouncycastle.mail.smime.examples

## Class ExampleUtils

- java.lang.Object
- - org.bouncycastle.mail.smime.examples.ExampleUtils

    public class ExampleUtils
    extends java.lang.Object

### Constructor Summary

Constructors
Constructor and Description
`ExampleUtils()`

### Method Summary

Methods
`static void` `dumpContent(MimeBodyPart bodyPart, java.lang.String fileName)` Dump the content of the passed in BodyPart to the file fileName.
`static java.lang.String` `findKeyAlias(java.security.KeyStore store, java.lang.String storeName, char[] password)`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### ExampleUtils

    public ExampleUtils()

### Method Detail

#### dumpContent

    public static void dumpContent(MimeBodyPart bodyPart,
                   java.lang.String fileName)
                            throws MessagingException,
                                   java.io.IOException

Dump the content of the passed in BodyPart to the file fileName.

Throws:
  `MessagingException`
  `java.io.IOException`

#### findKeyAlias

    public static java.lang.String findKeyAlias(java.security.KeyStore store,
                                java.lang.String storeName,
                                char[] password)
                                         throws java.lang.Exception

Throws:
  `java.lang.Exception`